import React, { Component } from 'react';
import { Tab, Tabs, TabList, TabPanel } from 'react-tabs';
import 'react-tabs/style/react-tabs.css';
import Alert from './templates/alert-template';
import BreadCrumb from './templates/bread-crumb-template';
import DatePicker from './templates/datepicker-template';
import Dialog from './templates/dialog-template';
import Icon from './templates/icon-template';
import Label from './templates/label-template';
import Panel from './templates/panel-template';
import ProgressSpinner from './templates/progress-spinner-template';
import Tag from './templates/tag-template';
import TagSelect from './templates/tag-select-template';
import Suggestion from './templates/suggestion-template';

export default class View extends Component {

    constructor(props) {
        super(props);
        this.state = {
            itemIndex: 1
        };
        this.handleSelect = this.handleSelect.bind(this);
    }

    componentWillMount() {
        if (localStorage.getItem('TSDEV-REACT-COMPONENT') === null) {
            localStorage.setItem('TSDEV-REACT-COMPONENT', this.state.itemIndex);

        } else {
            this.setState({
                itemIndex: Number(localStorage.getItem('TSDEV-REACT-COMPONENT'))
            });
        }

    }

    handleSelect(key) {
        this.setState({
            itemIndex: key
        });
        localStorage.setItem('TSDEV-REACT-COMPONENT', key);
    }

    render() {
        return (
            <div
                id="tsdev-examples"
                className="tsdev-examples">
                <Tabs defaultIndex={this.state.itemIndex}
                    onSelect={this.handleSelect}>
                    <TabList>
                        <Tab>Alert</Tab>
                        <Tab>BreadCrumb</Tab>
                        <Tab>Datepicker</Tab>
                        <Tab>Dialog</Tab>
                        <Tab>Icon</Tab>
                        <Tab>Label</Tab>
                        <Tab>Panel</Tab>
                        <Tab>ProgressSpinner</Tab>
                        <Tab>Suggestion</Tab>
                        <Tab>Tag</Tab>
                        <Tab>TagSelect</Tab>
                    </TabList>

                    <TabPanel>
                        <Alert />
                    </TabPanel>
                    <TabPanel>
                        <BreadCrumb />
                    </TabPanel>
                    <TabPanel>
                        <DatePicker />
                    </TabPanel>
                    <TabPanel>
                        <Dialog />
                    </TabPanel>
                    <TabPanel>
                        <Icon />
                    </TabPanel>
                    <TabPanel>
                        <Label />
                    </TabPanel>
                    <TabPanel>
                        <Panel />
                    </TabPanel>
                    <TabPanel>
                        <ProgressSpinner />
                    </TabPanel>
                    <TabPanel>
                        <Suggestion />
                    </TabPanel>
                    <TabPanel>
                        <Tag />
                    </TabPanel>
                    <TabPanel>
                        <TagSelect />
                    </TabPanel>
                </Tabs>
            </div>
        );
    }
}
