import React, { Component } from 'react';
import { Alert } from '../../src/index';

const readmePath = require('./../../src/components/alert/README.md');

export default class View extends Component {

    constructor(props) {
        super(props);
        this.state = { markdown: '' };
    }

    render() {
        const messageLong = 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry\'s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.';
        const messageShort = 'Lorem Ipsum is simply dummy';

        return (
            <div>
                <table>
                    <tbody>
                        <tr>
                            <td valign="top"
                                colSpan="5"
                                width="700px">
                                <h2>Alert with long message</h2>
                                <Alert message={messageLong} />
                                <h2>Alert type info without icon</h2>
                                <Alert message={messageShort}
                                    alertType="info"
                                    showIcon={false} />
                                <h2>Alert type info with short message</h2>
                                <Alert message={messageShort}
                                    alertType="info" />
                                <h2>Alert type warning with short message</h2>
                                <Alert message={messageShort}
                                    alertType="warning" />
                                <h2>Alert type check with short message</h2>
                                <Alert message={messageShort}
                                    alertType="check" />
                                <h2>Alert type error with short message</h2>
                                <Alert message={messageShort}
                                    alertType="error" />
                                <h2>Alert type fatal with short message</h2>
                                <Alert message={messageShort}
                                    alertType="fatal" />
                                <h2>Alert type spinner with short message</h2>
                                <Alert message={messageShort}
                                    alertType="spinner" />
                            </td>
                            <td valign="top"
                                colSpan="5">
                                <div className="code">
                                    {
                                        `import { Alert } from 'tsdev-react-components;
                                        `
                                    }
                                    <br/>
                                    <br/>
                                    {`<Alert
                                        />`
                                    }
                                </div>
                                <div className="markdown">
                                    <article dangerouslySetInnerHTML={{ __html: readmePath }} />
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        );
    }
}
