import React, { Component } from 'react';
import { Dialog } from '../../src/index';
import Button from '@material-ui/core/Button';

const readmePath = require('./../../src/components/dialog/README.md');

export default class View extends Component {

    constructor(props) {
        super(props);
        this.state = {
            isOpen: false
        };
        this.onToggleDialog = this.onToggleDialog.bind(this);
    }

    onToggleDialog() {
        const {
            isOpen
        } = this.state;

        this.setState({ isOpen: !isOpen });
    }

    render() {
        const {
            isOpen
        } = this.state;

        return (
            <div>
                <table>
                    <tbody>
                        <tr>
                            <td valign="top"
                                colSpan="5"
                                width="700px">
                                <h2>Dialog</h2>
                                <Button variant="contained"
                                    color="primary"
                                    onClick={this.onToggleDialog}>
                                    Toggle Dialog
                                </Button>
                                <Dialog isOpen={isOpen}/>
                            </td>
                            <td valign="top"
                                colSpan="5">
                                <div className="code">
                                    {
                                        `import { Dialog } from 'tsdev-react-components;
                                        `
                                    }
                                    <br />
                                    <br />
                                    {`<Dialog
                                        />`
                                    }
                                </div>
                                <div className="markdown">
                                    <article dangerouslySetInnerHTML={{ __html: readmePath }} />
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        );
    }
}
