import React, { Component } from 'react';
import { Panel } from '../../src/index';
import Button from '@material-ui/core/Button';

const readmePath = require('./../../src/components/panel/README.md');

export default class View extends Component {

    constructor(props) {
        super(props);
        this.state = {
            isOpen: false
        };
        this.onTogglePanel = this.onTogglePanel.bind(this);
    }

    onTogglePanel() {
        const {
            isOpen
        } = this.state;

        this.setState({ isOpen: !isOpen });
    }

    render() {
        return (
            <div>
                <table>
                    <tbody>
                        <tr>
                            <td valign="top"
                                colSpan="5"
                                width="700px">
                                <Button variant="contained"
                                    color="primary"
                                    onClick={this.onTogglePanel}>
                                    Toggle Panel
                                </Button>
                                <h2>Panel</h2>
                                <Panel expanded={this.state.isOpen} />
                            </td>
                            <td valign="top"
                                colSpan="5">
                                <div className="code">
                                    {
                                        `import { Panel } from 'tsdev-react-components;
                                        `
                                    }
                                    <br />
                                    <br />
                                    {`<Panel
                                        />`
                                    }
                                </div>
                                <div className="markdown">
                                    <article dangerouslySetInnerHTML={{ __html: readmePath }} />
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        );
    }
}
