# Suggestion

## propTypes

```
Suggestion.propTypes = {
    disabled: PropTypes.bool,
    iconType: PropTypes.string,
    id: PropTypes.string,
    onSelect: PropTypes.func,
    onChange: PropTypes.func,
    placeholder: PropTypes.string,
    showIcon: PropTypes.bool,
    subClass: PropTypes.string,
    suggestions: PropTypes.arrayOf(PropTypes.shape({
        id: PropTypes.string,
        label: PropTypes.string,
        value: PropTypes.oneOfType([
            PropTypes.string,
            PropTypes.number
        ])
    }))
};
```

## defaultProps

```
Suggestion.defaultProps = {
    disabled: false,
    iconType: 'search',
    id: String(Date.now()),
    onSelect: noop,
    onChange: noop,
    placeholder: 'Placeholder',
    showIcon: true,
    subClass: '',
    suggestions: [
        {
            id: '1',
            label: '1 - Suggestion',
            value: 1
        },
        {
            id: '2',
            label: '11 - Suggestion',
            value: 11
        },
        {
            id: '3',
            label: '112 - Suggestion',
            value: 112
        },
        {
            id: '4',
            label: '2 - Suggestion',
            value: 2
        },
        {
            id: '5',
            label: '21 - Suggestion',
            value: 21
        },
        {
            id: '6',
            label: '212 - Suggestion',
            value: 212
        },
        {
            id: '7',
            label: '22 - Suggestion',
            value: 22
        },
        {
            id: '8',
            label: '222 - Suggestion',
            value: 222
        }
    ]
};
```
## Functions
```
onSelect(obj) => {
    // obj-example
    <!-- id: "4"
    label: "2 - Suggestion"
    value: "2" -->
};

onChange(obj) => {
    // obj-example
    <!-- value: "Sugg" -->
};

```
